Subject: [Sip] Minor error in "Computational Puzzles for SPAM Reduction in SIP"?

From: Geoffrey Dawirs <[email-masked]>
Date: Wed, 28 Sep 2005 16:40:27 +0200

Hello,

I'm sorry to disturb you again, my second question has nothing
to do with the first one (the first one was in fact an implementation problem).

In "draft-jennings-sip-hashcash-02", bottom of page 7,
the ABNF for the header is:
Puzzle       = "Puzzle" HCOLON puzzle-parm *(COMMA puzzle-param)
puzzle-param =  puzzle-bits SEMI puzzle-pre SEMI puzzle-image
SEMI puzzle-value *( SEMI generic-param )

puzzle-work  = "work=" 1*DIGIT
puzzle-value = "value=" 1*DIGIT
puzzle-pre   = "pre=" quoted-string
puzzle-image = "image=" quoted-string

The first element of puzzle-param, "puzzle-bits" shouldn't it be "puzzle-work"?
If it is not that, I can't find the definition of "puzzle-bits".
I imagine that's a minor notice, but I prefer to be sure...

Thank you very much,
Geoffrey Dawirs

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip